#include <libmdlgen.h>

char *toUpper(char *str)
{
  int i = 0;
  while (str[i] != '\0') {
    str[i] = toupper (str[i]);
    i++;
  }

  return str;
}

char *AttackNameDefineStr(const DOMString &aname)
{
  char *defstr = aname.transcode();
  return toUpper(defstr);
}

char *FixUpCVEname(char *cvename)
{
  // Fix it up so that dashes are turned into underscores
  cvename[3] = '_';
  cvename[8] = '_';

  return cvename;
}
