#ifndef _GTK_NESSUS_SETUP_H

#include <gtk/gtk.h>

#include "graphics.h"

namespace GraphGraphics
{
  
class GTKNetPreferencesGUI: public GraphGUIModalWindow
{
private:
  GtkWidget *net_preference_dialog;
  GtkWidget *dialog_vbox;
  GtkWidget *pref_notebook;
  GtkWidget *view_main_table;
  GtkWidget *layout_frame;
  GtkWidget *layout_table;
  GtkWidget *layout_combo;
  GList     *layout_combo_items;
  GtkWidget *layout_combo_entry;
  GtkWidget *layout_label;
  GtkWidget *layout_frame_label;
  GtkWidget *view_label;
  GtkWidget *nessus_main_table;
  GtkWidget *server_frame;
  GtkWidget *server_table;
  GtkWidget *host_label;
  GtkWidget *port_label;
  GtkWidget *host_entry;
  GtkWidget *port_entry;
  GtkWidget *server_label;
  GtkWidget *user_frame;
  GtkWidget *user_table;
  GtkWidget *login_label;
  GtkWidget *password_label;
  GtkWidget *login_entry;
  GtkWidget *password_entry;
  GtkWidget *user_label;
  GtkWidget *nessus_label;
  GtkWidget *dialog_action_area1;
  GtkWidget *cancel_button;
  GtkWidget *ok_button;
  
/*  string m_host;
  string m_port;
  string m_user_name;
  string m_user_password;
*/
  GraphView *m_view;

private:
  void create();

public:
  GTKNetPreferencesGUI( GraphView *view ) { m_view = view; }
  ~GTKNetPreferencesGUI() { }  
  
  int run();
/*    
  void set_nessusd_host( const string &host ) { m_host = host; }
  void set_port( const string &port ) { m_port = port; }
  void set_user_name( const string &user ) { m_user_name = user;}
  void set_user_password( const string &password ) { m_user_password = password; }
    
  string get_nessusd_host() { return m_host; }
  string get_port() { return m_port; }
  string get_user_name() { return m_user_name; }
  string get_user_password() { return m_user_password; }
*/
};

};


#endif
